package ajcon.custom.util.elements;

import ajcon.custom.util.groups.CStmt;
import java.util.ArrayList;
import java.util.List;

public class CNewArray extends CStmt{

    private CType CType;
    private List<CDimExpr> CDimExpr;
    private CArrayInitializer CArrayInitializer;

    private String dimensions;

    public CNewArray()
    {
        this.dimensions = null;
        CType = null;
        CDimExpr = new ArrayList<CDimExpr>();
        CArrayInitializer = null; 
    }

    public CArrayInitializer getCArrayInitializer() {
        return CArrayInitializer;
    }

    public void setCArrayInitializer(CArrayInitializer CArrayInitializer) {
        this.CArrayInitializer = CArrayInitializer;
    }

    public List<CDimExpr> getCDimExpr() {
        return CDimExpr;
    }

    public void setCDimExpr(List<CDimExpr> CDimExpr) {
        this.CDimExpr = CDimExpr;
    }

    public CType getCType() {
        return CType;
    }

    public void setCType(CType CType) {
        this.CType = CType;
    }

    public String getDimensions() {
        return dimensions;
    }

    public void setDimensions(String dimensions) {
        this.dimensions = dimensions;
    }

    public void addCDimExpr (CDimExpr cc){
        this.CDimExpr.add(cc);
    }
    
}
